petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetVersion

Gets the PETSc version information in a string.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscGetVersion"
    PetscErrorCode PetscGetVersion(char version[], size_t len)

### Input Parameter

len -length of the string Many br

### Output Parameter

version -version string Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

Developer Note: The version information is also listed in Many br

       src/docs/tex/manual/intro.tex,

       src/docs/tex/manual/manual.tex.

       src/docs/website/index.html.

### See Also

PetscGetProgramName()

Level:developer
Location:src/sys/objects/version.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages